Skip to main content
GET
/
pools
/
discover
Discover pools
curl --request GET \
  --url https://api.lpagent.io/open-api/v1/pools/discover \
  --header 'x-api-key: <api-key>'
{
  "status": "success",
  "data": [
    {
      "pool": "5rCfABCxyz123",
      "tvl": 125000.5,
      "fee": 0.003,
      "protocol": "meteora",
      "chain": "SOL",
      "token0": "So11111111111111111111111111111111111111112",
      "token1": "<string>",
      "vol_5m": 123,
      "vol_1h": 123,
      "vol_6h": 123,
      "vol_24h": 800000,
      "base_price": 150.25,
      "quote_price": 1,
      "mcap": 50000000,
      "usd_price": 123,
      "fdv": 123,
      "organic_score": 75,
      "top_holder": 123,
      "mint_freeze": true,
      "price_5m_change": 123,
      "price_1h_change": 123,
      "price_6h_change": 123,
      "price_24h_change": 123,
      "bin_step": 10,
      "liquidity_token0": 123,
      "liquidity_token1": 123,
      "created_at": "2023-11-07T05:31:56Z",
      "updated_at": "2023-11-07T05:31:56Z",
      "first_pool_created_at": "2023-11-07T05:31:56Z",
      "token0_symbol": "SOL",
      "token0_name": "Solana",
      "token0_decimals": 9,
      "token1_symbol": "USDC",
      "token1_name": "<string>",
      "token1_decimals": 123,
      "token0_stats": {
        "volume": {
          "stats1h": {
            "volume": 123,
            "volume_change": 123
          },
          "stats6h": {
            "volume": 123,
            "volume_change": 123
          },
          "stats24h": {
            "volume": 123,
            "volume_change": 123
          }
        },
        "holders": 123
      },
      "token1_stats": {}
    }
  ],
  "pagination": {
    "currentPage": 123,
    "pageSize": 123,
    "totalCount": 123,
    "totalPages": 123,
    "hasNextPage": true,
    "hasPreviousPage": true
  }
}

Authorizations

x-api-key
string
header
required

API key for authentication

Query Parameters

chain
string
default:SOL

The blockchain network

sortBy
enum<string>
default:mcap

Field to sort pools by

Available options:
mcap,
created_at,
vol_24h,
tvl,
fee_tvl_ratio,
volatility
sortOrder
enum<string>
default:desc

Sort order direction

Available options:
asc,
desc,
default
page
integer
default:1

Page number for pagination

Required range: x >= 1
pageSize
integer
default:10

Number of items per page

Required range: 1 <= x <= 100
feeTVLInterval
enum<string>
default:24h

Time interval for fee/TVL ratio calculation

Available options:
5m,
1h,
6h,
24h
quote_token
string

Filter by quote token address

min_market_cap
number

Minimum market cap filter

max_market_cap
number

Maximum market cap filter

min_bin_step
number

Minimum bin step filter

max_bin_step
number

Maximum bin step filter

min_organic_score
number

Minimum organic score filter

max_organic_score
number

Maximum organic score filter

min_base_fee
number

Minimum base fee filter

max_base_fee
number

Maximum base fee filter

min_age_hr
number

Minimum pool age in hours

max_age_hr
number

Maximum pool age in hours

min_liquidity
number

Minimum liquidity filter

max_liquidity
number

Maximum liquidity filter

min_24h_fees
number

Minimum 24h fees filter

max_24h_fees
number

Maximum 24h fees filter

min_24h_vol
number

Minimum 24h volume filter

max_24h_vol
number

Maximum 24h volume filter

min_1h_vol
number

Minimum 1h volume filter

max_1h_vol
number

Maximum 1h volume filter

type
string
default:all

Pool type filter

Search by pool name or token address

Response

Successfully retrieved pools

status
string
Example:

"success"

data
object[]
pagination
object